curl --request GET \
--url https://api.paywint.com/api/platform/cross-border/payout-banks \
--header 'X-Platform-ID: <x-platform-id>' \
--header 'X-Signature: <x-signature>'import requests
url = "https://api.paywint.com/api/platform/cross-border/payout-banks"
headers = {
"X-Platform-ID": "<x-platform-id>",
"X-Signature": "<x-signature>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Platform-ID': '<x-platform-id>', 'X-Signature': '<x-signature>'}
};
fetch('https://api.paywint.com/api/platform/cross-border/payout-banks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Operation completed.",
"data": [
{
"id": 913212,
"name": "All Bank of India",
"country_code": "IN",
"country_name": "INDIA",
"state_id": 0,
"state": "",
"city_id": 99999,
"city": "Sin ciudad",
"address": "",
"currencies": [
{
"code": "INR",
"name": "RUPIA INDIA"
}
]
}
],
"queryGeneratedTime": 1718006400
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}List Payout Banks
Returns the list of supported payout banks for cross-border payments. Currently, this endpoint returns
banks for Pakistan (PKR) and the UAE (AED). Use the returned bank id as the
payout_bank_id in the
Create a Cross-Border Payment
endpoint. The payout_bank_id field is required only when the destination country is Pakistan or the UAE.
Headers
Unique platform identifier (UUID). You receive this during onboarding. Must be sent with every API request.
HMAC-SHA256 request signature for authentication. Use your platform secret key to compute it as: METHOD + PATH + QUERY + BODY_HASH.
Query Parameters
Payout currency ISO code. Currently PKR (Pakistan) and AED (UAE) are supported.
Response
Successful Response
Indicates whether the request was processed successfully.
true
A short, human-readable message describing the result of the request.
"Operation completed."
The main response payload, if applicable
Show child attributes
Show child attributes
The Unix timestamp (in seconds) indicating when the response was generated.
1718006400

